## ml-dtypes 0.5.2

=== debian/changelog ===
ml-dtypes (0.5.2-1~exp3) experimental; urgency=medium

  [ Bardia Moshiri ]
  * Provide a -dev package for headers.
    (NEW again with no source code change).

  [ Mo Zhou ]
  * Add missing B-D python3-numpy-dev for dh_numpy3.

 -- Mo Zhou <lumin@debian.org>  Fri, 29 Aug 2025 13:28:31 -0400

ml-dtypes (0.5.2-1~exp2) experimental; urgency=medium

  * Initial release.

 -- Mo Zhou <lumin@debian.org>  Thu, 06 Mar 2025 18:21:24 -0500
