=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=ml_dtypes
export DEB_CXXFLAGS_MAINT_APPEND = -I$(CURDIR)/debian/eigen
%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild --test-pytest

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=".pybuild/cpython3_$(shell py3versions -dv)_ml_dtypes/build/" pytest -v
endif

override_dh_install:
	install -d debian/ml-dtypes-dev/usr/include/ml_dtypes
	cp -rv debian/eigen/Eigen debian/ml-dtypes-dev/usr/include/ml_dtypes
	cp ml_dtypes/include/* debian/ml-dtypes-dev/usr/include/ml_dtypes
	sed -i 's|#include "Eigen/Core"|#include <ml_dtypes/Eigen/Core>|' debian/ml-dtypes-dev/usr/include/ml_dtypes/*.h
	sed -i 's|#include "include/float8.h"|#include <ml_dtypes/float8.h>|' debian/ml-dtypes-dev/usr/include/ml_dtypes/*.h
	dh_install
