=== debian/tests/control ===
Test-Command: cd ml_dtypes; pytest-3 -v
Depends: @, python3-pytest, python3-absl,
Restrictions: allow-stderr
