## ml-dtypes 0.5.4

=== debian/changelog ===
ml-dtypes (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 10 Dec 2025 18:35:23 -0500
